Subject: Re: bug#60872: 29.0.60; emacsql broken after Jan 12 change

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Jan 2023 16:54:19 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 17 Jan 2023 15:42:06 +0100
> 
> >>>>> On Tue, 17 Jan 2023 15:58:10 +0200, Eli Zaretskii <[email-masked]> said:
> 
>     >> From: Robert Pluim <[email-masked]>
>     >> Is it enough of an error for us to silently replace `utf-8-auto' with
>     >> `utf-8' when itʼs specified for `coding-system-for-write'?
> 
>     Eli> That's what the bug I fixed effectively did.  But no, I don't think
>     Eli> this is something we can do, let alone silently.  It could be that
>     Eli> some extremely rare/obscure, but nevertheless legitimate use case does
>     Eli> really want to produce BOM on encoding.
> 
> Right. Iʼd suggest a doc change, but thereʼs no documentation for
> `utf-8-auto' anyway, and perhaps we should avoid drawing attention to
> it :-)

I agree.  I'm curious what Jonas will tell us about this particular
use of it.